<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>${expenses.getExpenseType().getName()}</title>
</head>
<body>
<form method="post" action="/expenses/expensesPage/update">
    <fieldset>
        <legend>Изменить</legend>
        <p>
            <label>Дата
                <input name="date" type="date" required>
            </label>
        </p>
        <p>
            <label>Сумма
                <input name="amount" type="number" min="0" step="0.01" value="${expenses.amount}" required> ₽
            </label>
        </p>
        <p>
            <label>Категория
                <select name="expenseType" required>
                    <option></option>
                    <#list expenseTypes as expenseType>
                        <option value="${expenseType.getId()}">${expenseType.name}</option>
                    </#list>
                </select>
            </label>
        </p>
        <p>
            <label>Примечание
                <input name="note" type="text" value="${expenses.note}">
            </label>
        </p>
        <p>
            <input type="hidden" name="expensesId" value="${expenses.id}">
            <input type="submit" value="Сохранить">
        </p>
        <p>
            <a href="/expenses">Вернуться без изменений</a>
        </p>
    </fieldset>
</form>
</body>
</html>